<template>
  <Carousel :aspect-ratio="0.58">
    <Slide v-for="slide in slides" :key="slide.id" class="tab-slide">
      <template v-slot:content>
        <TabletMockupWithGradient :croppedContent="true">
          <template #content>
            <img :src="slide.image" :alt="slide.title" v-if="slide.image" />
            <video
              controls
              v-else-if="slide.video"
              class="case-results__video"
              :poster="slide.video.poster"
            >
              <source :src="slide.video.src" type="video/mp4" />
            </video>
          </template>
        </TabletMockupWithGradient>
      </template>
    </Slide>
  </Carousel>
  <div class="case-results__description" v-html="descriptionHTML"></div>
</template>
<script>
import TabletMockupWithGradient from '@/components/shared/TabletMockupWithGradient'
import Carousel from '@/components/shared/Carousel'
import { VueperSlide } from 'vueperslides'

export default {
  props: {
    slides: {
      type: Array,
      required: true,
      // add validator
      validator() {
        return true
      }
    },
    descriptionHTML: {
      type: String,
      required: true
    }
  },
  components: {
    TabletMockupWithGradient,
    Carousel,
    Slide: VueperSlide
  }
}
</script>
